function [DCalTLTot,DCalTLHTot,DCalPLTot,DCalBLTot,DCalTLHRTot,DCalTLHRHTot,...
    DCalALTot,DCalLLTot,DCalThLTot,DCalKLTot,DCalKLHRTot,DCalRLTot,DCalPT100Tot,...
    DCalIPLTot,DCalIPLHRTot,DCalWLTot,DCalPETot] = NuovaConversione(DCalTLTot,...
    DCalTLHTot,DCalPLTot,DCalBLTot,DCalTLHRTot,DCalTLHRHTot,DCalALTot,DCalLLTot,...
    DCalThLTot,DCalKLTot,DCalKLHRTot,DCalRLTot,DCalPT100Tot,DCalIPLTot,DCalIPLHRTot,...
    DCalWLTot,DCalPETot,FileName)

fileID = fopen(FileName,'a');
fmt = '%s \r';
text = 'NuovaConversione function started';
fprintf(fileID,fmt,text);

% Conversione del formato dati che usiamo con il database Ase_New

%% Tilt Link
[r,c] = size(DCalTLTot); 
MATconv = zeros(r,c);
if r == 0 % Non ci sono dati
else
    for ii = 1:r
        for jj = 1:c
            MATconv(ii,jj) = DCalTLTot{ii,jj};
        end
    end
    DCalTLTot = MATconv;
end

%% Tilt Link H
[r,c] = size(DCalTLHTot); 
MATconv = zeros(r,c);
if r == 0 % Non ci sono dati
else
    for ii = 1:r
        for jj = 1:c
            MATconv(ii,jj) = DCalTLHTot{ii,jj};
        end
    end
    DCalTLHTot = MATconv;
end

%% Piezo Link
[r,c] = size(DCalPLTot); 
MATconv = zeros(r,c);
if r == 0 % Non ci sono dati
else
    for ii = 1:r
        for jj = 1:c
            MATconv(ii,jj) = DCalPLTot{ii,jj};
        end
    end
    DCalPLTot = MATconv;
end

%% Baro Link
[r,c] = size(DCalBLTot); 
MATconv = zeros(r,c);
if r == 0 % Non ci sono dati
else
    for ii = 1:r
        for jj = 1:c
            MATconv(ii,jj) = DCalBLTot{ii,jj};
        end
    end
    DCalBLTot = MATconv;
end

%% Tilt Link HR
[r,c] = size(DCalTLHRTot); 
MATconv = zeros(r,c);
if r == 0 % Non ci sono dati
else
    for ii = 1:r
        for jj = 1:c
            MATconv(ii,jj) = DCalTLHRTot{ii,jj};
        end
    end
    DCalTLHRTot = MATconv;
end

%% Tilt Link HR H
[r,c] = size(DCalTLHRHTot); 
MATconv = zeros(r,c);
if r == 0 % Non ci sono dati
else
    for ii = 1:r
        for jj = 1:c
            MATconv(ii,jj) = DCalTLHRHTot{ii,jj};
        end
    end
    DCalTLHRHTot = MATconv;
end

%% Analog Link
[r,c] = size(DCalALTot); 
MATconv = zeros(r,c);
if r == 0 % Non ci sono dati
else
    for ii = 1:r
        for jj = 1:c
            MATconv(ii,jj) = DCalALTot{ii,jj};
        end
    end
    DCalALTot = MATconv;
end

%% Load Link
[r,c] = size(DCalLLTot); 
MATconv = zeros(r,c);
if r == 0 % Non ci sono dati
else
    for ii = 1:r
        for jj = 1:c
            MATconv(ii,jj) = DCalLLTot{ii,jj};
        end
    end
    DCalLLTot = MATconv;
end

%% Therm Link
[r,c] = size(DCalThLTot); 
MATconv = zeros(r,c);
if r == 0 % Non ci sono dati
else
    for ii = 1:r
        for jj = 1:c
            MATconv(ii,jj) = DCalThLTot{ii,jj};
        end
    end
    DCalThLTot = MATconv;
end

%% Klino Link
[r,c] = size(DCalKLTot); 
MATconv = zeros(r,c);
if r == 0 % Non ci sono dati
else
    for ii = 1:r
        for jj = 1:c
            MATconv(ii,jj) = DCalKLTot{ii,jj};
        end
    end
    DCalKLTot = MATconv;
end

%% Klino Link HR
[r,c] = size(DCalKLHRTot); 
MATconv = zeros(r,c);
if r == 0 % Non ci sono dati
else
    for ii = 1:r
        for jj = 1:c
            MATconv(ii,jj) = DCalKLHRTot{ii,jj};
        end
    end
    DCalKLHRTot = MATconv;
end

%% Rain Link
[r,c] = size(DCalRLTot); 
MATconv = zeros(r,c);
if r == 0 % Non ci sono dati
else
    for ii = 1:r
        for jj = 1:c
            MATconv(ii,jj) = DCalRLTot{ii,jj};
        end
    end
    DCalRLTot = MATconv;
end

%% PT100 Link
[r,c] = size(DCalPT100Tot); 
MATconv = zeros(r,c);
if r == 0 % Non ci sono dati
else
    for ii = 1:r
        for jj = 1:c
            MATconv(ii,jj) = DCalPT100Tot{ii,jj};
        end
    end
    DCalPT100Tot = MATconv;
end

%% In Place Link
[r,c] = size(DCalIPLTot); 
MATconv = zeros(r,c);
if r == 0 % Non ci sono dati
else
    for ii = 1:r
        for jj = 1:c
            MATconv(ii,jj) = DCalIPLTot{ii,jj};
        end
    end
    DCalIPLTot = MATconv;
end

%% In Place Link HR
[r,c] = size(DCalIPLHRTot); 
MATconv = zeros(r,c);
if r == 0 % Non ci sono dati
else
    for ii = 1:r
        for jj = 1:c
            MATconv(ii,jj) = DCalIPLHRTot{ii,jj};
        end
    end
    DCalIPLHRTot = MATconv;
end

%% Weir Link
[r,c] = size(DCalWLTot); 
MATconv = zeros(r,c);
if r == 0 % Non ci sono dati
else
    for ii = 1:r
        for jj = 1:c
            MATconv(ii,jj) = DCalWLTot{ii,jj};
        end
    end
    DCalWLTot = MATconv;
end

%% Pendulum
[r,c] = size(DCalPETot); 
MATconv = zeros(r,c);
if r == 0 % Non ci sono dati
else
    for ii = 1:r
        for jj = 1:c
            MATconv(ii,jj) = DCalPETot{ii,jj};
        end
    end
    DCalPETot = MATconv;
end

text = 'NuovaConversione function closed';
fprintf(fileID,fmt,text);
fclose(fileID);

end